Bug 39472 - 91univention-saml.inst is part of the wrong package
91univention-saml.inst is part of the wrong package
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: SAML
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Stefan Gohmann
Erik Damrose
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 11:53 CEST by Florian Best
Modified: 2015-11-17 12:11 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-10-05 11:53:17 CEST
91univention-saml.inst currently belongs to univention-saml-schema while most things should be part of univention-saml.
Comment 1 Erik Damrose univentionstaff 2015-10-05 11:55:24 CEST
We could remove the -schema package entirely
Comment 2 Florian Best univentionstaff 2015-10-05 11:55:54 CEST
(In reply to Erik Damrose from comment #1)
> We could remove the -schema package entirely
No? We need the handlers on a DC slave?!
Comment 3 Erik Damrose univentionstaff 2015-10-05 12:07:38 CEST
We could use ucs_registerLDAPExtension http://docs.software-univention.de/developer-reference-4.0.html#join:libraries:shell
Comment 4 Florian Best univentionstaff 2015-10-05 12:33:08 CEST
If we merge the packages we also need to move the listener univention-saml/listener/univention-saml.py to UMC-webserver (it needs to exist on DC slaves).

Felix also had a race condition:
The listener module listener/univention-saml-schema.py (univention-saml-schema) failed because (univention-saml / simplesamlphp) was not yet installed.

    05.10.15 11:56:12.230  LISTENER    ( ERROR   ) : Failed to create /etc/simplesamlphp/metadata.d/https:__slave.w2k12.test_univention-management-console_saml_metadata.php: PHP Fatal error:  Uncaught exception 'ErrorException' with message 'chdir(): No such file or directory (errno 2)' in /tmp/tmpB543n2:10
    Stack trace:
    #0 [internal function]: {closure}(2, 'chdir(): No suc...', '/tmp/tmpB543n2', 10, Array)
    #1 /tmp/tmpB543n2(10): chdir('/usr/share/simp...')
    #2 {main}
      thrown in /tmp/tmpB543n2 on line 10
     
    05.10.15 12:06:48.038  LISTENER    ( ERROR   ) : Failed to create /etc/simplesamlphp/metadata.d/https:__master.w2k12.test_univention-management-console_saml_metadata.php: PHP Fatal error:  Uncaught exception 'ErrorException' with message 'chdir(): No such file or directory (errno 2)' in /tmp/tmpnWPRNQ:10
    Stack trace:
    #0 [internal function]: {closure}(2, 'chdir(): No suc...', '/tmp/tmpnWPRNQ', 10, Array)
    #1 /tmp/tmpnWPRNQ(10): chdir('/usr/share/simp...')
    #2 {main}
      thrown in /tmp/tmpnWPRNQ on line 10
Comment 5 Stefan Gohmann univentionstaff 2015-10-05 16:10:55 CEST
I've moved the join and the unjoin script from univention-saml-schema to univention-saml: r64229
Comment 6 Stefan Gohmann univentionstaff 2015-10-06 17:22:02 CEST
One more change in univention-saml: r64263
* Added a dependency to shell-univention-lib and import the shell lib
  before calling call_joinscript

Changelog: r64264
Comment 7 Stefan Gohmann univentionstaff 2015-10-07 07:43:44 CEST
I've also added the first basic test cases which should cover the UCR setup:
 82_saml/22_saml_idp_server
 82_saml/21_download_metadata
 82_saml/20_ucs_sso
Comment 8 Erik Damrose univentionstaff 2015-11-03 14:39:18 CET
OK: moved and renamed joinscript
OK: changelog
verified
Comment 9 Stefan Gohmann univentionstaff 2015-11-17 12:11:46 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".